import { Component, OnInit } from '@angular/core';
import { Weather }      from './weather';
import { StackService } from './stack.service';

@Component({
  selector: 'station',
  templateUrl: 'app/app.component.html',
})
export class AppComponent implements OnInit {
  datas: Weather[] = [];
  model: Weather = new Weather(8, 1080);
  constructor(private stackService: StackService) {}
  avg(field: string): number { return this.stackService.avg(field); };
  add(): void { this.stackService.add(new Weather(this.model.temp, this.model.press)); };
  ngOnInit(): void { this.datas = this.stackService.datas}
}